commit:     43452e990badd711455dab87c52b3fc48bcca2dc
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 14 10:56:08 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 10:56:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43452e99

sys-fs/multipath-tools: Bump to version 0.8.5

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-fs/multipath-tools/Manifest                    |  1 +
 .../multipath-tools-0.8.5-respect-flags.patch      | 12 +++
 .../multipath-tools/multipath-tools-0.8.5.ebuild   | 91 ++++++++++++++++++++++
 3 files changed, 104 insertions(+)

diff --git a/sys-fs/multipath-tools/Manifest b/sys-fs/multipath-tools/Manifest
index dd78e5e9f42..3791f6de0fa 100644
--- a/sys-fs/multipath-tools/Manifest
+++ b/sys-fs/multipath-tools/Manifest
@@ -1,2 +1,3 @@
 DIST multipath-tools-0.8.3.tar.gz 465248 BLAKE2B 
21a7a18c70150b4422bdd0ae02f26f491845eb06928ab74e631df8c6b3c110d10f43f75b9f8289a7134826c923b7ba58ce54c40497c3b7e6211e53902c8a1b5f
 SHA512 
d9fdc2763f5a1efa15ee07c5d863008c9694623935f62a0e0b56f941df4e0d0ca3f86056fefc9b5ca828b47782127e3d55f2f925b1ed957e02b675bef36f4cae
 DIST multipath-tools-0.8.4.tar.gz 480994 BLAKE2B 
be8368df049218e2eaa1749e7b1c7a930da15f0311ab549b1bbba9c019dcfe39f90a05fd621e0703301ef1d55c98ac8cc74231d82950d9066f19d8764421704b
 SHA512 
720823188c053c1c50269a30e34a9d69099098495bfd607076bcfa2c079565e3f0580c91783f19d42ed82290c0db98e4e19ef620eca4ee5ec7885c49c72d2307
+DIST multipath-tools-0.8.5.tar.gz 494750 BLAKE2B 
a42d17a47631107433a1d0a9da69a0bb10d2125cb242d2125d67da18f6bc6231c9233b163dc1d07d88dcba9f912830c047fdee5b42435f59ea2976598a72fd75
 SHA512 
f62a09107ccb18ffab97139fe2dba3dc22450836d8669c4381a8bce4072672a027a3a1e687f33e374429bffa49b3ba4a54d1e52294044d7bc1f82ed5d5aaf760

diff --git 
a/sys-fs/multipath-tools/files/multipath-tools-0.8.5-respect-flags.patch 
b/sys-fs/multipath-tools/files/multipath-tools-0.8.5-respect-flags.patch
new file mode 100644
index 00000000000..20d9fef6f3f
--- /dev/null
+++ b/sys-fs/multipath-tools/files/multipath-tools-0.8.5-respect-flags.patch
@@ -0,0 +1,12 @@
+--- multipath-tools-0.8.5-eecfcba/Makefile.inc
++++ multipath-tools-0.8.5-eecfcba/Makefile.inc
+@@ -98,7 +98,8 @@
+                 -Werror=implicit-function-declaration -Werror=format-security 
\
+                 $(WNOCLOBBERED) -Werror=cast-qual 
$(ERROR_DISCARDED_QUALIFIERS)
+ CPPFLAGS      := -Wp,-D_FORTIFY_SOURCE=2 
+-CFLAGS                := --std=gnu99 $(CFLAGS) $(OPTFLAGS) $(WARNFLAGS) -pipe 
\
++CFLAGS                ?= $(OPTFLAGS) $(WARNFLAGS) -pipe
++CFLAGS                += --std=gnu99 \
+                  -DBIN_DIR=\"$(bindir)\" -DLIB_STRING=\"${LIB}\" 
-DRUN_DIR=\"${RUN}\" \
+                  -MMD -MP
+ BIN_CFLAGS    = -fPIE -DPIE

diff --git a/sys-fs/multipath-tools/multipath-tools-0.8.5.ebuild 
b/sys-fs/multipath-tools/multipath-tools-0.8.5.ebuild
new file mode 100644
index 00000000000..cd850ca74ae
--- /dev/null
+++ b/sys-fs/multipath-tools/multipath-tools-0.8.5.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit linux-info systemd toolchain-funcs udev vcs-snapshot toolchain-funcs
+
+DESCRIPTION="Device mapper target autoconfig"
+HOMEPAGE="http://christophe.varoqui.free.fr/";
+SRC_URI="https://git.opensvc.com/?p=multipath-tools/.git;a=snapshot;h=${PV};sf=tgz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="systemd rbd"
+
+BDEPEND="virtual/pkgconfig"
+
+RDEPEND="
+       dev-libs/json-c:=
+       dev-libs/libaio
+       dev-libs/userspace-rcu:=
+       >=sys-fs/lvm2-2.02.45
+       >=virtual/libudev-232-r3
+       sys-libs/readline:0=
+       rbd? ( sys-cluster/ceph )
+       systemd? ( sys-apps/systemd )
+"
+
+DEPEND="${RDEPEND}"
+
+CONFIG_CHECK="~DM_MULTIPATH"
+
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.8.5-respect-flags.patch
+       "${FILESDIR}"/${PN}-0.8.3-no-gziped-docs.patch
+)
+
+get_systemd_pv() {
+       use systemd && \
+               $(tc-getPKG_CONFIG) --modversion systemd
+}
+
+src_prepare() {
+       default
+
+       # The upstream lacks any way to configure the build at present
+       # and ceph is a huge dependency, so we're using sed to make it
+       # optional until the upstream has a proper configure system
+       if ! use rbd ; then
+               sed \
+                       -e "s/libcheckrbd.so/# libcheckrbd.so/" \
+                       -e "s/-lrados//" \
+                       -i libmultipath/checkers/Makefile \
+                       || die
+       fi
+}
+
+src_compile() {
+       # LIBDM_API_FLUSH involves grepping files in /usr/include,
+       # so force the test to go the way we want #411337.
+       emake \
+               CC="$(tc-getCC)" \
+               LIBDM_API_FLUSH=1 SYSTEMD="$(get_systemd_pv)"
+}
+
+src_install() {
+       dodir /sbin /usr/share/man/man{3,5,8}
+       emake \
+               DESTDIR="${D}" \
+               RUN=run \
+               SYSTEMD=$(get_systemd_pv) \
+               unitdir="$(systemd_get_systemunitdir)" \
+               libudevdir='${prefix}'/"$(get_udevdir)" \
+               pkgconfdir='${prefix}'/usr/'${LIB}'/pkgconfig \
+               install
+
+       newinitd "${FILESDIR}"/multipathd-r1.rc multipathd
+       newinitd "${FILESDIR}"/multipath.rc multipath
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog "If you need multipath on your system, you must"
+               elog "add 'multipath' into your boot runlevel!"
+       fi
+}

Reply via email to